<ng-container>
  <h1>Current Driver Standing</h1>
  <div *ngIf="loaded && !noContent">
    <table [dataSource]="dataSource" class="mat-elevation-z8" mat-table>

      <ng-container matColumnDef="position">
        <th *matHeaderCellDef mat-header-cell> Position</th>
        <td *matCellDef="let driverRow" mat-cell> {{driverRow.position}} </td>
      </ng-container>

      <ng-container matColumnDef="driver">
        <th *matHeaderCellDef mat-header-cell> Driver</th>
        <td *matCellDef="let driverRow" mat-cell> {{driverRow.driver}} </td>
      </ng-container>

      <ng-container matColumnDef="team">
        <th *matHeaderCellDef mat-header-cell> Team</th>
        <td *matCellDef="let driverRow" mat-cell> {{driverRow.team}} </td>
      </ng-container>

      <ng-container matColumnDef="points">
        <th *matHeaderCellDef mat-header-cell> Points</th>
        <td *matCellDef="let driverRow" mat-cell> {{driverRow.points}} </td>
      </ng-container>

      <tr *matHeaderRowDef="columnsToDisplay" mat-header-row></tr>
      <tr *matRowDef="let row; columns: columnsToDisplay;" mat-row></tr>
    </table>
  </div>
  <div *ngIf="noContent && loaded" class="text-center">
    There are no drivers in this league
  </div>
  <div *ngIf="!loaded">
    <mat-progress-bar mode="indeterminate"></mat-progress-bar>
  </div>
</ng-container>
